Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0029913
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] Z. Othersmajoralways2015-05-18 13:322015-05-25 18:01
ReportermaiteView Statuspublic 
Assigned Toumartirena 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision0fd6131c786a
ProjectionnoneETAnoneTarget Version3.0PR15Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesAdvanced Payables and Receivables Mngmt
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0029913: Wrong transaction status when deleting from reconciliation

DescriptionWrong transaction status when deleting from reconciliation
Steps To Reproduce1. Access Manual Financial Account and register:
  - one Deposit transaction referencing a GL Item. Process and realize that status has been properly set
  - one Withdrawn transaction referencing a GL Item. Process and realize that status has been properly set
2. Run "Reconcile" process, select both transactions and Save
3. Realize that transaction's status has been correctly changed to "cleared"
4. Run "Reconcile" process, unselect both transaction and Save
5. Realize that transaction's status is INCORRECT. In transaction has out status and Out transaction has in status
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 00299863.0PR15Q2.2 closedumartirena Wrong transaction status when deleting from reconciliation 
depends on backport 00299873.0PR15Q1.5 closedumartirena Wrong transaction status when deleting from reconciliation 

-  Notes
(0077598)
umartirena (developer)
2015-05-20 13:30

Finally it is not going to be necessary an script as with the fix the erroneous data could be fixed.
(0077599)
umartirena (developer)
2015-05-20 13:38

** Test Plan 1:


In live builds, log as F&B Group Admin:

1. Open Financial Account window and select 'Caja'
2. Add 2 records in Transaction Tab:
  - one Deposit transaction referencing a GL Item. Process and realize that status has been properly set
  - one Withdrawn transaction referencing a GL Item. Process and realize that status has been properly set
3. Run "Reconcile" process, select both transactions and Save
4. Realize that transaction's status has been correctly changed to "cleared"
5. Run "Reconcile" process, unselect both transaction and Save
6. Realize that transaction's status is CORRECT. In transaction has in status and Out transaction has out status.



** Test Plan 2 (Fix wrong data):


In live builds, log as F&B Group Admin:

1. Remove the patch that fixes the issue in order to be able to create wrong data.
2. Repeat steps 1-5 of Test Plan 1.
3. Realize that transaction's status is INCORRECT. In transaction has out status and Out transaction has in status.
4. Apply the patch that fixes the issue in order to be able to fix wrong data.
5. Open Financial Account window and select 'Caja'.
6. Check that the transactions created in previous steps have wrong status.
7. Run "Reconcile" process, select both transactions and Save.
8. Realize that transaction's status has been correctly changed to "cleared"
9. Run "Reconcile" process, unselect both transaction and Save
10. Realize that transaction's status is CORRECT. In transaction has in status and Out transaction has out status.
(0077696)
hgbot (developer)
2015-05-25 11:25

Repository: erp/devel/pi
Changeset: 0fd6131c786a8e02e1c99ae9dfa810bcd4b7dc0b
Author: Unai Martirena <unai.martirena <at> openbravo.com>
Date: Tue May 19 13:26:52 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/0fd6131c786a8e02e1c99ae9dfa810bcd4b7dc0b [^]

Fixes bug 29913: Correct trx status assigned while deleting from reconciliation

while checking or unchecking lines in Reconcile popup 'updateTransactionStatus' method is called to assign the proper status to the transaction. While unchecking 'Withdrawn not Cleared' or 'Deposited not Cleared' statuses has to be assigned to the transactions. This part is was wrong. When the transaction was of BP Deposit 'Withdrawn not Cleared' was being assigned and when the transaction was BP Withdrawal 'Deposited not Cleared' was being assigned.

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/Reconciliation.java
---
(0077698)
vmromanos (developer)
2015-05-25 11:25

Code review + testing OK
(0077723)
hudsonbot (developer)
2015-05-25 18:01

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8cc85f698754 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-05-18 13:32 maite New Issue
2015-05-18 13:32 maite Assigned To => Triage Finance
2015-05-18 13:32 maite Modules => Core
2015-05-18 13:32 maite Triggers an Emergency Pack => No
2015-05-18 13:34 maite Target Version => 3.0PR15Q3
2015-05-18 13:34 maite Issue Monitored: networkb
2015-05-18 13:35 maite Modules Core => Advanced Payables and Receivables Mngmt
2015-05-19 16:52 umartirena Severity critical => major
2015-05-20 13:30 umartirena Note Added: 0077598
2015-05-20 13:38 umartirena Note Added: 0077599
2015-05-22 14:48 vmromanos Status new => scheduled
2015-05-22 14:48 vmromanos Assigned To Triage Finance => umartirena
2015-05-25 11:25 hgbot Checkin
2015-05-25 11:25 hgbot Note Added: 0077696
2015-05-25 11:25 hgbot Status scheduled => resolved
2015-05-25 11:25 hgbot Resolution open => fixed
2015-05-25 11:25 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/0fd6131c786a8e02e1c99ae9dfa810bcd4b7dc0b [^]
2015-05-25 11:25 vmromanos Review Assigned To => vmromanos
2015-05-25 11:25 vmromanos Note Added: 0077698
2015-05-25 11:25 vmromanos Status resolved => closed
2015-05-25 18:01 hudsonbot Checkin
2015-05-25 18:01 hudsonbot Note Added: 0077723


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker